comparison configure @ 48497:016a2985b8c6

*** empty log message ***
author Dave Love <fx@gnu.org>
date Thu, 21 Nov 2002 20:38:07 +0000
parents 55c749e7394a
children ac6028d32f14
comparison
equal deleted inserted replaced
48496:07981d5d6992 48497:016a2985b8c6
1467 right. To configure in another directory as well, you MUST 1467 right. To configure in another directory as well, you MUST
1468 use GNU make. If you do not have GNU make, then you must 1468 use GNU make. If you do not have GNU make, then you must
1469 now do \`make distclean' in ${srcdir}, 1469 now do \`make distclean' in ${srcdir},
1470 and then run $0 again." >&2;} 1470 and then run $0 again." >&2;}
1471 1471
1472 extrasub='/^VPATH[ ]*=/c\ 1472 extrasub='/^VPATH[ ]*=/c\
1473 vpath %.c $(srcdir)\ 1473 vpath %.c $(srcdir)\
1474 vpath %.h $(srcdir)\ 1474 vpath %.h $(srcdir)\
1475 vpath %.y $(srcdir)\ 1475 vpath %.y $(srcdir)\
1476 vpath %.l $(srcdir)\ 1476 vpath %.l $(srcdir)\
1477 vpath %.s $(srcdir)\ 1477 vpath %.s $(srcdir)\
1563 host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'` 1563 host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
1564 1564
1565 1565
1566 canonical=$host 1566 canonical=$host
1567 configuration=${host_alias-$host} 1567 configuration=${host_alias-$host}
1568
1568 1569
1569 1570
1570 ### If you add support for a new configuration, add code to this 1571 ### If you add support for a new configuration, add code to this
1571 ### switch statement to recognize your configuration name and select 1572 ### switch statement to recognize your configuration name and select
1572 ### the appropriate operating system and machine description files. 1573 ### the appropriate operating system and machine description files.
2189 ## Plexus 2190 ## Plexus
2190 m68*-plexus-sysv* ) 2191 m68*-plexus-sysv* )
2191 machine=plexus opsys=usg5-2 2192 machine=plexus opsys=usg5-2
2192 ;; 2193 ;;
2193 2194
2194 ## PowerPC reference platform
2195 powerpcle-*-solaris2.5* )
2196 machine=prep
2197 opsys=sol2-5
2198 ;;
2199
2200 ## PowerPC reference platform
2201 powerpcle-*-solaris2* )
2202 machine=prep
2203 opsys=sol2-6
2204 ;;
2205
2206 ## Pyramid machines 2195 ## Pyramid machines
2207 ## I don't really have any idea what sort of processor the Pyramid has, 2196 ## I don't really have any idea what sort of processor the Pyramid has,
2208 ## so I'm assuming it is its own architecture. 2197 ## so I'm assuming it is its own architecture.
2209 pyramid-pyramid-bsd* ) 2198 pyramid-pyramid-bsd* )
2210 machine=pyramid opsys=bsd4-2 2199 machine=pyramid opsys=bsd4-2
2345 *-sunos5.6* | *-solaris2.6* ) 2334 *-sunos5.6* | *-solaris2.6* )
2346 opsys=sol2-6 2335 opsys=sol2-6
2347 NON_GNU_CPP=/usr/ccs/lib/cpp 2336 NON_GNU_CPP=/usr/ccs/lib/cpp
2348 RANLIB="ar -ts" 2337 RANLIB="ar -ts"
2349 ;; 2338 ;;
2339 *-sunos5.8* | *-solaris2.8* )
2340 opsys=sol2-8
2341 NON_GNU_CPP=/usr/ccs/lib/cpp
2342 RANLIB="ar -ts"
2343 ;;
2350 *-sunos5* | *-solaris* ) 2344 *-sunos5* | *-solaris* )
2351 opsys=sol2-6 2345 opsys=sol2-8
2352 NON_GNU_CPP=/usr/ccs/lib/cpp 2346 NON_GNU_CPP=/usr/ccs/lib/cpp
2353 ;; 2347 ;;
2354 * ) opsys=bsd4-2 ;; 2348 * ) opsys=bsd4-2 ;;
2355 esac 2349 esac
2356 ## Watch out for a compiler that we know will not work. 2350 ## Watch out for a compiler that we know will not work.
2547 * ) 2541 * )
2548 unported=yes 2542 unported=yes
2549 ;; 2543 ;;
2550 esac 2544 esac
2551 fi 2545 fi
2546
2552 2547
2553 2548
2554 if test $unported = yes; then 2549 if test $unported = yes; then
2555 { { echo "$as_me:$LINENO: error: Emacs hasn't been ported to \`${canonical}' systems. 2550 { { echo "$as_me:$LINENO: error: Emacs hasn't been ported to \`${canonical}' systems.
2556 Check \`etc/MACHINES' for recognized configuration names." >&5 2551 Check \`etc/MACHINES' for recognized configuration names." >&5
3995 CPPFLAGS="$c_switch_system $c_switch_machine $CPPFLAGS" 3990 CPPFLAGS="$c_switch_system $c_switch_machine $CPPFLAGS"
3996 fi 3991 fi
3997 3992
3998 3993
3999 3994
3995
3996 cat >>confdefs.h <<\_ACEOF
3997 #define _GNU_SOURCE 1
3998 _ACEOF
3999
4000
4001
4000 # Check whether --enable-largefile or --disable-largefile was given. 4002 # Check whether --enable-largefile or --disable-largefile was given.
4001 if test "${enable_largefile+set}" = set; then 4003 if test "${enable_largefile+set}" = set; then
4002 enableval="$enable_largefile" 4004 enableval="$enable_largefile"
4003 4005
4004 fi; 4006 fi;
4673 4675
4674 4676
4675 4677
4676 4678
4677 4679
4680
4681
4678 for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \ 4682 for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
4679 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \ 4683 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
4680 termcap.h stdio_ext.h fcntl.h term.h strings.h coff.h pty.h sys/mman.h \ 4684 termcap.h stdio_ext.h fcntl.h term.h strings.h coff.h pty.h sys/mman.h \
4681 sys/param.h 4685 sys/param.h sys/vlimit.h sys/resource.h
4682 do 4686 do
4683 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 4687 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4684 if eval "test \"\${$as_ac_Header+set}\" = set"; then 4688 if eval "test \"\${$as_ac_Header+set}\" = set"; then
4685 echo "$as_me:$LINENO: checking for $ac_header" >&5 4689 echo "$as_me:$LINENO: checking for $ac_header" >&5
4686 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 4690 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4780 fi 4784 fi
4781 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 4785 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4782 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 4786 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4783 4787
4784 fi 4788 fi
4789 if test `eval echo '${'$as_ac_Header'}'` = yes; then
4790 cat >>confdefs.h <<_ACEOF
4791 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4792 _ACEOF
4793
4794 fi
4795
4796 done
4797
4798
4799 for ac_header in term.h
4800 do
4801 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4802 echo "$as_me:$LINENO: checking for $ac_header" >&5
4803 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4804 if eval "test \"\${$as_ac_Header+set}\" = set"; then
4805 echo $ECHO_N "(cached) $ECHO_C" >&6
4806 else
4807 cat >conftest.$ac_ext <<_ACEOF
4808 #line $LINENO "configure"
4809 #include "confdefs.h"
4810 #include <$ac_header>
4811 _ACEOF
4812 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
4813 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
4814 ac_status=$?
4815 grep -v '^ *+' conftest.er1 >conftest.err
4816 rm -f conftest.er1
4817 cat conftest.err >&5
4818 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4819 (exit $ac_status); } >/dev/null; then
4820 if test -s conftest.err; then
4821 ac_cpp_err=$ac_c_preproc_warn_flag
4822 else
4823 ac_cpp_err=
4824 fi
4825 else
4826 ac_cpp_err=yes
4827 fi
4828 if test -z "$ac_cpp_err"; then
4829 eval "$as_ac_Header=yes"
4830 else
4831 echo "$as_me: failed program was:" >&5
4832 cat conftest.$ac_ext >&5
4833 eval "$as_ac_Header=no"
4834 fi
4835 rm -f conftest.err conftest.$ac_ext
4836 fi
4837 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4838 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4785 if test `eval echo '${'$as_ac_Header'}'` = yes; then 4839 if test `eval echo '${'$as_ac_Header'}'` = yes; then
4786 cat >>confdefs.h <<_ACEOF 4840 cat >>confdefs.h <<_ACEOF
4787 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1 4841 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4788 _ACEOF 4842 _ACEOF
4789 4843
7750 7804
7751 ### Is -lXaw3d available? 7805 ### Is -lXaw3d available?
7752 HAVE_XAW3D=no 7806 HAVE_XAW3D=no
7753 if test "${HAVE_X11}" = "yes"; then 7807 if test "${HAVE_X11}" = "yes"; then
7754 if test "${USE_X_TOOLKIT}" != "none"; then 7808 if test "${USE_X_TOOLKIT}" != "none"; then
7755 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then 7809 echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
7756 echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
7757 echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6 7810 echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6
7758 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then 7811 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
7759 echo $ECHO_N "(cached) $ECHO_C" >&6 7812 echo $ECHO_N "(cached) $ECHO_C" >&6
7760 fi 7813 else
7761 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5 7814 cat >conftest.$ac_ext <<_ACEOF
7762 echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6
7763 else
7764 # Is the header compilable?
7765 echo "$as_me:$LINENO: checking X11/Xaw3d/Scrollbar.h usability" >&5
7766 echo $ECHO_N "checking X11/Xaw3d/Scrollbar.h usability... $ECHO_C" >&6
7767 cat >conftest.$ac_ext <<_ACEOF
7768 #line $LINENO "configure"
7769 #include "confdefs.h"
7770 $ac_includes_default
7771 #include <X11/Xaw3d/Scrollbar.h>
7772 _ACEOF
7773 rm -f conftest.$ac_objext
7774 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7775 (eval $ac_compile) 2>&5
7776 ac_status=$?
7777 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7778 (exit $ac_status); } &&
7779 { ac_try='test -s conftest.$ac_objext'
7780 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7781 (eval $ac_try) 2>&5
7782 ac_status=$?
7783 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7784 (exit $ac_status); }; }; then
7785 ac_header_compiler=yes
7786 else
7787 echo "$as_me: failed program was:" >&5
7788 cat conftest.$ac_ext >&5
7789 ac_header_compiler=no
7790 fi
7791 rm -f conftest.$ac_objext conftest.$ac_ext
7792 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7793 echo "${ECHO_T}$ac_header_compiler" >&6
7794
7795 # Is the header present?
7796 echo "$as_me:$LINENO: checking X11/Xaw3d/Scrollbar.h presence" >&5
7797 echo $ECHO_N "checking X11/Xaw3d/Scrollbar.h presence... $ECHO_C" >&6
7798 cat >conftest.$ac_ext <<_ACEOF
7799 #line $LINENO "configure" 7815 #line $LINENO "configure"
7800 #include "confdefs.h" 7816 #include "confdefs.h"
7801 #include <X11/Xaw3d/Scrollbar.h> 7817 #include <X11/Xaw3d/Scrollbar.h>
7802 _ACEOF 7818 _ACEOF
7803 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 7819 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7815 fi 7831 fi
7816 else 7832 else
7817 ac_cpp_err=yes 7833 ac_cpp_err=yes
7818 fi 7834 fi
7819 if test -z "$ac_cpp_err"; then 7835 if test -z "$ac_cpp_err"; then
7820 ac_header_preproc=yes 7836 ac_cv_header_X11_Xaw3d_Scrollbar_h=yes
7821 else 7837 else
7822 echo "$as_me: failed program was:" >&5 7838 echo "$as_me: failed program was:" >&5
7823 cat conftest.$ac_ext >&5 7839 cat conftest.$ac_ext >&5
7824 ac_header_preproc=no 7840 ac_cv_header_X11_Xaw3d_Scrollbar_h=no
7825 fi 7841 fi
7826 rm -f conftest.err conftest.$ac_ext 7842 rm -f conftest.err conftest.$ac_ext
7827 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7828 echo "${ECHO_T}$ac_header_preproc" >&6
7829
7830 # So? What about this header?
7831 case $ac_header_compiler:$ac_header_preproc in
7832 yes:no )
7833 { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: accepted by the compiler, rejected by the preprocessor!" >&5
7834 echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
7835 { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&5
7836 echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&2;};;
7837 no:yes )
7838 { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: present but cannot be compiled" >&5
7839 echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: present but cannot be compiled" >&2;}
7840 { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: check for missing prerequisite headers?" >&5
7841 echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: check for missing prerequisite headers?" >&2;}
7842 { echo "$as_me:$LINENO: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&5
7843 echo "$as_me: WARNING: X11/Xaw3d/Scrollbar.h: proceeding with the preprocessor's result" >&2;};;
7844 esac
7845 echo "$as_me:$LINENO: checking for X11/Xaw3d/Scrollbar.h" >&5
7846 echo $ECHO_N "checking for X11/Xaw3d/Scrollbar.h... $ECHO_C" >&6
7847 if test "${ac_cv_header_X11_Xaw3d_Scrollbar_h+set}" = set; then
7848 echo $ECHO_N "(cached) $ECHO_C" >&6
7849 else
7850 ac_cv_header_X11_Xaw3d_Scrollbar_h=$ac_header_preproc
7851 fi 7843 fi
7852 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5 7844 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw3d_Scrollbar_h" >&5
7853 echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6 7845 echo "${ECHO_T}$ac_cv_header_X11_Xaw3d_Scrollbar_h" >&6
7854
7855 fi
7856 if test $ac_cv_header_X11_Xaw3d_Scrollbar_h = yes; then 7846 if test $ac_cv_header_X11_Xaw3d_Scrollbar_h = yes; then
7857 echo "$as_me:$LINENO: checking for XawScrollbarSetThumb in -lXaw3d" >&5 7847 echo "$as_me:$LINENO: checking for XawScrollbarSetThumb in -lXaw3d" >&5
7858 echo $ECHO_N "checking for XawScrollbarSetThumb in -lXaw3d... $ECHO_C" >&6 7848 echo $ECHO_N "checking for XawScrollbarSetThumb in -lXaw3d... $ECHO_C" >&6
7859 if test "${ac_cv_lib_Xaw3d_XawScrollbarSetThumb+set}" = set; then 7849 if test "${ac_cv_lib_Xaw3d_XawScrollbarSetThumb+set}" = set; then
7860 echo $ECHO_N "(cached) $ECHO_C" >&6 7850 echo $ECHO_N "(cached) $ECHO_C" >&6
8324 _ACEOF 8314 _ACEOF
8325 8315
8326 cat >conftest.$ac_ext <<_ACEOF 8316 cat >conftest.$ac_ext <<_ACEOF
8327 #line $LINENO "configure" 8317 #line $LINENO "configure"
8328 #include "confdefs.h" 8318 #include "confdefs.h"
8329 #include <jpeglib.h> 8319 #include <jpeglib.h>
8330 version=JPEG_LIB_VERSION 8320 version=JPEG_LIB_VERSION
8331 8321
8332 _ACEOF 8322 _ACEOF
8333 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 | 8323 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
8334 $EGREP "version= *(6[2-9]|[7-9][0-9])" >/dev/null 2>&1; then 8324 $EGREP "version= *(6[2-9]|[7-9][0-9])" >/dev/null 2>&1; then
9983 9973
9984 9974
9985 9975
9986 9976
9987 9977
9978
9979
9988 for ac_func in gethostname getdomainname dup2 \ 9980 for ac_func in gethostname getdomainname dup2 \
9989 rename closedir mkdir rmdir sysinfo \ 9981 rename closedir mkdir rmdir sysinfo \
9990 random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \ 9982 random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \
9991 strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \ 9983 strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
9992 utimes setrlimit setpgid getcwd getwd shutdown strftime getaddrinfo \ 9984 utimes setrlimit setpgid getcwd getwd shutdown strftime getaddrinfo \
9993 __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \ 9985 __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
9994 sendto recvfrom getsockopt setsockopt getsockname getpeername \ 9986 sendto recvfrom getsockopt setsockopt getsockname getpeername \
9995 gai_strerror mkstemp getline getdelim mremap memmove 9987 gai_strerror mkstemp getline getdelim mremap memmove fsync bzero
9996 do 9988 do
9997 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 9989 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9998 echo "$as_me:$LINENO: checking for $ac_func" >&5 9990 echo "$as_me:$LINENO: checking for $ac_func" >&5
9999 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 9991 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10000 if eval "test \"\${$as_ac_var+set}\" = set"; then 9992 if eval "test \"\${$as_ac_var+set}\" = set"; then
15350 15342
15351 15343
15352 fi 15344 fi
15353 15345
15354 15346
15355 # Set up the CFLAGS for real compilation, so we can substitute it. 15347 echo "$as_me:$LINENO: checking for C restrict keyword" >&5
15356 CFLAGS="$REAL_CFLAGS" 15348 echo $ECHO_N "checking for C restrict keyword... $ECHO_C" >&6
15357 CPPFLAGS="$REAL_CPPFLAGS" 15349 if test "${emacs_cv_c_restrict+set}" = set; then
15358 15350 echo $ECHO_N "(cached) $ECHO_C" >&6
15359 #### Find out which version of Emacs this is. 15351 else
15360 version=`grep 'defconst[ ]*emacs-version' ${srcdir}/lisp/version.el \ 15352 cat >conftest.$ac_ext <<_ACEOF
15361 | sed -e 's/^[^"]*"\([^"]*\)".*$/\1/'` 15353 #line $LINENO "configure"
15362 if test x"${version}" = x; then 15354 #include "confdefs.h"
15363 { { echo "$as_me:$LINENO: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&5 15355 void fred (int *restrict x);
15364 echo "$as_me: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&2;} 15356 int
15365 { (exit 1); exit 1; }; } 15357 main ()
15366 fi 15358 {
15367 15359
15368 ### Specify what sort of things we'll be editing into Makefile and config.h. 15360 ;
15369 ### Use configuration here uncanonicalized to avoid exceeding size limits. 15361 return 0;
15370 15362 }
15371 15363 _ACEOF
15372 15364 rm -f conftest.$ac_objext
15373 15365 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
15374 15366 (eval $ac_compile) 2>&5
15375 15367 ac_status=$?
15376 15368 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15377 15369 (exit $ac_status); } &&
15378 15370 { ac_try='test -s conftest.$ac_objext'
15379 15371 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
15380 15372 (eval $ac_try) 2>&5
15381 15373 ac_status=$?
15382 15374 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15383 15375 (exit $ac_status); }; }; then
15384 15376 emacs_cv_c_restrict=yes
15385 15377 else
15386 15378 echo "$as_me: failed program was:" >&5
15387 15379 cat conftest.$ac_ext >&5
15388 15380 cat >conftest.$ac_ext <<_ACEOF
15389 15381 #line $LINENO "configure"
15390 15382 #include "confdefs.h"
15391 15383 void fred (int *__restrict x);
15392 15384 int
15393 15385 main ()
15394 15386 {
15395 15387
15396 15388 ;
15397 15389 return 0;
15398 15390 }
15399 15391 _ACEOF
15400 15392 rm -f conftest.$ac_objext
15401 15393 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
15402 15394 (eval $ac_compile) 2>&5
15395 ac_status=$?
15396 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15397 (exit $ac_status); } &&
15398 { ac_try='test -s conftest.$ac_objext'
15399 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
15400 (eval $ac_try) 2>&5
15401 ac_status=$?
15402 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15403 (exit $ac_status); }; }; then
15404 emacs_cv_c_restrict=__restrict
15405 else
15406 echo "$as_me: failed program was:" >&5
15407 cat conftest.$ac_ext >&5
15408 emacs_cv_c_restrict=no
15409 fi
15410 rm -f conftest.$ac_objext conftest.$ac_ext
15411 fi
15412 rm -f conftest.$ac_objext conftest.$ac_ext
15413 fi
15414 echo "$as_me:$LINENO: result: $emacs_cv_c_restrict" >&5
15415 echo "${ECHO_T}$emacs_cv_c_restrict" >&6
15416 case "$emacs_cv_c_restrict" in
15417 yes) emacs_restrict=restrict;;
15418 no) emacs_restrict="";;
15419 *) emacs_restrict="$emacs_cv_c_restrict";;
15420 esac
15421 if test "$emacs_restrict" != __restrict; then
15403 15422
15404 cat >>confdefs.h <<_ACEOF 15423 cat >>confdefs.h <<_ACEOF
15405 #define EMACS_CONFIGURATION "${canonical}" 15424 #define __restrict $emacs_restrict
15406 _ACEOF 15425 _ACEOF
15407 15426
15408 15427 fi
15409 cat >>confdefs.h <<_ACEOF 15428
15410 #define EMACS_CONFIG_OPTIONS "${ac_configure_args}" 15429 echo "$as_me:$LINENO: checking for C restricted array declarations" >&5
15411 _ACEOF 15430 echo $ECHO_N "checking for C restricted array declarations... $ECHO_C" >&6
15412 15431 if test "${emacs_cv_c_restrict_arr+set}" = set; then
15413 15432 echo $ECHO_N "(cached) $ECHO_C" >&6
15414 cat >>confdefs.h <<_ACEOF 15433 else
15415 #define config_machfile "${machfile}" 15434 cat >conftest.$ac_ext <<_ACEOF
15416 _ACEOF 15435 #line $LINENO "configure"
15417 15436 #include "confdefs.h"
15418 15437 void fred (int x[__restrict]);
15419 cat >>confdefs.h <<_ACEOF 15438 int
15420 #define config_opsysfile "${opsysfile}" 15439 main ()
15421 _ACEOF 15440 {
15422 15441
15423 15442 ;
15424 cat >>confdefs.h <<_ACEOF 15443 return 0;
15425 #define LD_SWITCH_X_SITE ${LD_SWITCH_X_SITE} 15444 }
15426 _ACEOF 15445 _ACEOF
15427 15446 rm -f conftest.$ac_objext
15428 15447 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
15429 cat >>confdefs.h <<_ACEOF 15448 (eval $ac_compile) 2>&5
15430 #define LD_SWITCH_X_SITE_AUX ${LD_SWITCH_X_SITE_AUX} 15449 ac_status=$?
15431 _ACEOF 15450 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15432 15451 (exit $ac_status); } &&
15433 15452 { ac_try='test -s conftest.$ac_objext'
15434 cat >>confdefs.h <<_ACEOF 15453 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
15435 #define C_SWITCH_X_SITE ${C_SWITCH_X_SITE} 15454 (eval $ac_try) 2>&5
15436 _ACEOF 15455 ac_status=$?
15437 15456 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15438 15457 (exit $ac_status); }; }; then
15439 cat >>confdefs.h <<_ACEOF 15458 emacs_cv_c_restrict_arr=yes
15440 #define UNEXEC_SRC ${UNEXEC_SRC} 15459 else
15441 _ACEOF 15460 echo "$as_me: failed program was:" >&5
15442 15461 cat conftest.$ac_ext >&5
15443 15462 emacs_cv_c_restrict_arr=no
15444 if test "${HAVE_X_WINDOWS}" = "yes" ; then 15463 fi
15464 rm -f conftest.$ac_objext conftest.$ac_ext
15465 fi
15466 echo "$as_me:$LINENO: result: $emacs_cv_c_restrict_arr" >&5
15467 echo "${ECHO_T}$emacs_cv_c_restrict_arr" >&6
15468 if test "$emacs_cv_c_restrict_arr" = yes; then
15445 15469
15446 cat >>confdefs.h <<\_ACEOF 15470 cat >>confdefs.h <<\_ACEOF
15447 #define HAVE_X_WINDOWS 1 15471 #define __restrict_arr __restrict
15448 _ACEOF
15449
15450 fi
15451 if test "${USE_X_TOOLKIT}" != "none" ; then
15452
15453 cat >>confdefs.h <<\_ACEOF
15454 #define USE_X_TOOLKIT 1
15455 _ACEOF
15456
15457 fi
15458 if test "${HAVE_X11}" = "yes" ; then
15459
15460 cat >>confdefs.h <<\_ACEOF
15461 #define HAVE_X11 1
15462 _ACEOF
15463
15464 fi
15465 if test "${HAVE_XFREE386}" = "yes" ; then
15466
15467 cat >>confdefs.h <<\_ACEOF
15468 #define HAVE_XFREE386 1
15469 _ACEOF
15470
15471 fi
15472 if test "${HAVE_MENUS}" = "yes" ; then
15473
15474 cat >>confdefs.h <<\_ACEOF
15475 #define HAVE_MENUS 1
15476 _ACEOF
15477
15478 fi
15479 if test "${GNU_MALLOC}" = "yes" ; then
15480
15481 cat >>confdefs.h <<\_ACEOF
15482 #define GNU_MALLOC 1
15483 _ACEOF
15484
15485 fi
15486 if test "${REL_ALLOC}" = "yes" ; then
15487
15488 cat >>confdefs.h <<\_ACEOF
15489 #define REL_ALLOC 1
15490 _ACEOF 15472 _ACEOF
15491 15473
15492 fi 15474 fi
15493 15475
15494 15476
15607 15589
15608 fi 15590 fi
15609 15591
15610 done 15592 done
15611 15593
15594
15595
15596
15597 # Set up the CFLAGS for real compilation, so we can substitute it.
15598 CFLAGS="$REAL_CFLAGS"
15599 CPPFLAGS="$REAL_CPPFLAGS"
15600
15601 #### Find out which version of Emacs this is.
15602 version=`grep 'defconst[ ]*emacs-version' ${srcdir}/lisp/version.el \
15603 | sed -e 's/^[^"]*"\([^"]*\)".*$/\1/'`
15604 if test x"${version}" = x; then
15605 { { echo "$as_me:$LINENO: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&5
15606 echo "$as_me: error: can't find current emacs version in \`${srcdir}/lisp/version.el'." >&2;}
15607 { (exit 1); exit 1; }; }
15608 fi
15609
15610 ### Specify what sort of things we'll be editing into Makefile and config.h.
15611 ### Use configuration here uncanonicalized to avoid exceeding size limits.
15612
15613
15614
15615
15616
15617
15618
15619
15620
15621
15622
15623
15624
15625
15626
15627
15628
15629
15630
15631
15632
15633
15634
15635
15636
15637
15638
15639
15640
15641
15642
15643
15644
15645
15646 cat >>confdefs.h <<_ACEOF
15647 #define EMACS_CONFIGURATION "${canonical}"
15648 _ACEOF
15649
15650
15651 cat >>confdefs.h <<_ACEOF
15652 #define EMACS_CONFIG_OPTIONS "${ac_configure_args}"
15653 _ACEOF
15654
15655
15656 cat >>confdefs.h <<_ACEOF
15657 #define config_machfile "${machfile}"
15658 _ACEOF
15659
15660
15661 cat >>confdefs.h <<_ACEOF
15662 #define config_opsysfile "${opsysfile}"
15663 _ACEOF
15664
15665
15666 cat >>confdefs.h <<_ACEOF
15667 #define LD_SWITCH_X_SITE ${LD_SWITCH_X_SITE}
15668 _ACEOF
15669
15670
15671 cat >>confdefs.h <<_ACEOF
15672 #define LD_SWITCH_X_SITE_AUX ${LD_SWITCH_X_SITE_AUX}
15673 _ACEOF
15674
15675
15676 cat >>confdefs.h <<_ACEOF
15677 #define C_SWITCH_X_SITE ${C_SWITCH_X_SITE}
15678 _ACEOF
15679
15680
15681 cat >>confdefs.h <<_ACEOF
15682 #define UNEXEC_SRC ${UNEXEC_SRC}
15683 _ACEOF
15684
15685
15686 if test "${HAVE_X_WINDOWS}" = "yes" ; then
15687
15688 cat >>confdefs.h <<\_ACEOF
15689 #define HAVE_X_WINDOWS 1
15690 _ACEOF
15691
15692 fi
15693 if test "${USE_X_TOOLKIT}" != "none" ; then
15694
15695 cat >>confdefs.h <<\_ACEOF
15696 #define USE_X_TOOLKIT 1
15697 _ACEOF
15698
15699 fi
15700 if test "${HAVE_X11}" = "yes" ; then
15701
15702 cat >>confdefs.h <<\_ACEOF
15703 #define HAVE_X11 1
15704 _ACEOF
15705
15706 fi
15707 if test "${HAVE_XFREE386}" = "yes" ; then
15708
15709 cat >>confdefs.h <<\_ACEOF
15710 #define HAVE_XFREE386 1
15711 _ACEOF
15712
15713 fi
15714 if test "${HAVE_MENUS}" = "yes" ; then
15715
15716 cat >>confdefs.h <<\_ACEOF
15717 #define HAVE_MENUS 1
15718 _ACEOF
15719
15720 fi
15721 if test "${GNU_MALLOC}" = "yes" ; then
15722
15723 cat >>confdefs.h <<\_ACEOF
15724 #define GNU_MALLOC 1
15725 _ACEOF
15726
15727 fi
15728 if test "${REL_ALLOC}" = "yes" ; then
15729
15730 cat >>confdefs.h <<\_ACEOF
15731 #define REL_ALLOC 1
15732 _ACEOF
15733
15734 fi
15612 15735
15613 15736
15614 15737
15615 15738
15616 15739